package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.ExternalComponent;

import java.math.BigDecimal;
import java.util.Date;

public class IncomeInfo extends ExternalComponent {
	
	
	private static final long serialVersionUID = -6245594535574053944L;

	/* ZIC/3/Z10 	  
	  * ZIC/4/Z10 
	  * ZIC/5/Z10 
	  * ZIC/6/Z10 
	  * ZIC/7/Z10 
	  * ZIC/8/Z10 
	  * ZIC/9/Z10 
	  * ZIC/10/Z10
	  * ZIC/11/Z10    
	  * ZIC/12/Z10
	 */
	private String type = null;

	private BigDecimal amount = null;
	private Date incomeReportDate;

	public String getType() {
		return this.type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public BigDecimal getAmount() {
		return this.amount;
	}

	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}

	public Date getIncomeReportDate() {
		return incomeReportDate;
	}

	public void setIncomeReportDate(Date incomeReportDate) {
		this.incomeReportDate = incomeReportDate;
	}
	
}
